%define anolis_release 3

Name:           virt-what
Summary:        Detect if we are running in a virtual machine
Version:        1.25
Release:        %{anolis_release}%{?dist}
License:        GPLv2+

URL:            https://people.redhat.com/~rjones/%{name}/
Source0:        https://people.redhat.com/~rjones/%{name}/files/%{name}-%{version}.tar.gz

BuildRequires:  make autoconf, automake, libtool gcc
BuildRequires:  git /usr/bin/pod2man util-linux

%ifarch aarch64 x86_64
Requires:       dmidecode
%endif
Requires:       util-linux
Requires:       which

%description
virt-what is a shell script which can be used to detect if the program
is running in a virtual machine.

virt-what supports a very large number of different hypervisor types,
including common open source hypervisors (KVM, Xen, QEMU, VirtualBox),
mainframe systems like IBM Systemz, LPAR, z/VM, hardware partitioning
schemes like Hitachi Virtage, proprietary hypervisors like VMWare,
Microsoft Hyper-V and much more.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package includes documentation files.

%prep
%autosetup -S git

autoreconf -i

%build
%configure
%make_build

%install
%make_install

%generate_compatibility_deps

%check
if ! make -k check ; then
    find -name test-suite.log -exec cat {} \;
    exit 1
fi

%files
%license COPYING
%dir %{abidir}
%{_sbindir}/virt-what
%{abidir}/virt-what-option.list
%{_libexecdir}/virt-what-cpuid-helper
%{_mandir}/man1/*.1*

%files doc
%doc README

%changelog
* Wed May 22 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.25-3
- fix source link

* Fri Apr 14 2023 Heng Qi <hengqi@linux.alibaba.com> - 1.25-2
- Refactor the spec file

* Fri Mar 03 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.25-1
- update to 1.25

* Wed Mar 09 2022 DengXiewei <dengxiewei@linux.alibaba.com> - 1.21-1
- Init from upstream 1.21
